# ‐*‐coding:utf‐8 ‐*‐ #
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
# ProjectName: program01
# FileName: read_json.py
# Author: Conner-Lee
# Datetime: 2024/11/9 09:52
# Description: 
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
import json
import os.path

from MyApiAutoTest_v3_3 import log, logor


@log
def read_json(file_path):
    if isinstance(file_path, str) and os.path.isfile(file_path) and file_path.endswith(".json"):
        with open(file_path, mode="r", encoding="utf-8") as f:
            try:
                return json.loads(f.read())
            except Exception as e:
                logor.error(f"执行的函数为：read_json，描述为：读取json文件，将json文件的内容序列化为python对象在返回，传入的参数为：{file_path}, 文件路径不存在"
                    f"错误类型为：{type(e)}, 错误的描述为：{e}")
    else:
        logor.error(f"执行的函数为：read_json，描述为：读取json文件，将json文件的内容序列化为python对象在返回，传入的参数为：{file_path}, 文件路径不存在"
                  f"错误类型为：FileNotFoundError, 错误的描述为：文件路径错误")
        raise FileNotFoundError("文件路径错误")
