# ‐*‐coding:utf‐8 ‐*‐ #
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
# ProjectName: program01
# FileName: read_user_ini.py
# Author: Conner-Lee
# Datetime: 2024/11/9 09:33
# Description: 
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
import configparser
import os.path

from MyApiAutoTest_v3_3 import log


class ReadUserIni:

    def __init__(self, user_name):
       self.data_config = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
       self.user_config_dir = os.path.join(self.data_config, user_name)
       ini_path =  os.path.join(self.user_config_dir, "config.ini")
       self.conf = configparser.ConfigParser()
       self.conf.read(ini_path, encoding="utf-8")

    @log
    def get_file_path(self, key):
        """读取配置文件，并转为绝对路径返回"""
        file_name = self.conf.get("file", key)
        return os.path.join(self.user_config_dir, file_name)

    @log
    def get_table_name(self, key):
        return self.conf.get("table", key)

if __name__ == "__main__":
    user_ini = ReadUserIni("zs_data")
    print(user_ini.get_table_name("name"))
    print(user_ini.get_file_path("excel"))
