# ‐*‐coding:utf‐8 ‐*‐ #
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
# ProjectName: program01
# FileName: test_bpm.py
# Author: Conner-Lee
# Datetime: 2024/11/9 14:44
# Description: 
# ‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐
import allure
import pytest

from MyApiAutoTest_v3_3 import logor
from MyApiAutoTest_v3_3.common.read_excel import ReadExcel
from MyApiAutoTest_v3_3.test_case.test_zs import USERNAME


class TestBPM:

    @allure.epic("BPM_张三")
    # @allure.feature("模块名称")
    # @allure.story("接口名称")
    # @allure.title("用例标题")
    # @allure.severity("用例等级")
    @pytest.mark.parametrize("case_id, module, api, title, level, method, url, mime, case_data, expect_data, sql_type, sql_data, update_key", ReadExcel(USERNAME).get_data())
    def test_bpm(self, req_fix, case_id, module, api, title, level, method, url, mime, case_data, expect_data, sql_type, sql_data, update_key):
        req = req_fix

        allure.dynamic.feature(module)
        allure.dynamic.story(api)
        allure.dynamic.title(title)
        allure.dynamic.severity(level)

        res = req.request_all(method, url, mime, case_data, sql_type, sql_data, update_key)

        try:
            for key in expect_data.keys():
                assert  res.json().get(key) == expect_data[key]
        except AssertionError:
            logor.error(f"断言失败，用例数据为：{case_data}，期望数据为：{expect_data}， 服务器返回的数据为：{res.text}")
            raise AssertionError(f"断言失败，用例数据为：{case_data}，期望数据为：{expect_data}， 服务器返回的数据为：{res.text}")
        else:
            logor.info(f"断言成功，用例数据为：{case_data}，期望数据为：{expect_data}， 服务器返回的数据为：{res.text}")